%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           googsystray
Version:        1.2.4
Release:        1%{?dist}
Summary:        A system tray application for accessing various (online) Google apps

Group:          Applications/Internet
License:        GPLv3
URL:            http://googsystray.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  gettext, intltool, desktop-file-utils
Requires:       python >= 2.6, pygtk2 >= 2.14, hicolor-icon-theme, python-xlib
# remove included python-xlib (called gXlib here)
Patch0:         googsystray-nogxlib.patch

%description
Googsystray is a system tray app for Google Voice, GMail, Google Calendar, 
Google Reader, and Google Wave. The idea is to be able to keep track of all 
that stuff without having to keep a bunch of browser tabs open, or constantly 
checking them. It notifies on new messages, alerts, etc., and provides basic 
services quickly (Reading or sending a new SMS message, or marking an email 
read, for example.)

%prep
%setup -q 
%patch0 -p1 -b .nogxlib
rm -rf googsystray/gXlib
# remove unnecessary shebang
sed -i 1d googsystray/htmltextview.py

%build
# build locales first
python setup.py i18n --force 
python setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%find_lang googsystray
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    pkg/freedesktop/%{name}.desktop
mkdir ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
install -m 644 pkg/freedesktop/64x64/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/googsystray.png
rm -f ${RPM_BUILD_ROOT}%{_datadir}/icons/%{name}.png

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG CREDITS LICENSES TODO
%{_bindir}/googsystray
%{python_sitelib}/%{name}-%{version}-*.egg-info
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*
%{_datadir}/applications/googsystray-settings.desktop
%{_datadir}/applications/googsystray.desktop
%{_datadir}/pixmaps/googsystray.png
%{_datadir}/icons/hicolor/*/apps/googsystray.png


%changelog
* Tue Sep 07 2010 L.S. Keijser <keijser@stone-it.com> - 1.2.4-1
- new version from upstream

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 22 2010 L.S. Keijser <keijser@stone-it.com> - 1.2.0-1
- new version from upstream

* Mon Apr 12 2010 L.S. Keijser <keijser@stone-it.com> - 1.1.4-3
- removed unnecessary macros
- use wildcard in path to icons
- properly install desktop file
- build locales instead of copying pre-built files

* Mon Mar 22 2010 L.S. Keijser <keijser@stone-it.com> - 1.1.4-2
- remove gXlib dir in prep section
- define python sitelib/sitearch macro conditionally, following
  new python packaging guidelines.

* Fri Mar 19 2010 L.S. Keijser <keijser@stone-it.com> - 1.1.4-1
- new version from upstream

* Sun Dec 27 2009 L.S. Keijser <keijser@stone-it.com> - 1.0.2-1
- new version from upstream
- added patch by Mario Ceresa <mrceresa@gmail.com> to remove
  shipped python-xlib in favor of distribution's copy.
- removed patching desktop and changelog files

* Wed Dec 09 2009 L.S. Keijser <keijser@stone-it.com> - 1.0.0-2
- added unowned directory python_sitelib/googsystray
- added requirement hicolor-icon-theme
- changed to require specific versions of python and pygtk2

* Thu Dec 03 2009 L.S. Keijser <keijser@stone-it.com> - 1.0.0-1
- initial release

